xine-lib: vaapi_context_impl Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
vaapi_context_impl Struct Reference

`#include <vaapi_util.h>`

## Data Fields
ff_vaapi_context_t | c
xine_t * | xine
struct xine_va_display_t * | va_display_plugin
int | query_va_status
pthread_mutex_t | ctx_lock
unsigned int | num_frames
vo_frame_t * | frames [50]
pthread_mutex_t | surfaces_lock
unsigned | va_head
ff_vaapi_surface_t | va_render_surfaces_storage [50+1]
VASurfaceID | va_surface_ids_storage [50+1]

## Field Documentation

## ◆ c

ff_vaapi_context_t vaapi_context_impl::c

Referenced by _alloc_frame(), _get_instance(), _x_va_accel_get_context(), _x_va_accel_get_vaapi_surface(), _x_va_alloc_surface(), _x_va_close(), _x_va_create_image(), _x_va_destroy_image(), _x_va_destroy_render_surfaces(), _x_va_frame_displayed(), _x_va_frame_duplicate_frame_data(), _x_va_frame_provide_standard_frame_data(), _x_va_free(), _x_va_init(), _x_va_new(), and _x_va_profile_from_imgfmt().

## ◆ ctx_lock

pthread_mutex_t vaapi_context_impl::ctx_lock

Referenced by _x_va_close(), _x_va_frame_duplicate_frame_data(), _x_va_frame_provide_standard_frame_data(), _x_va_frame_update_frame_format(), _x_va_free(), _x_va_init(), and _x_va_new().

## ◆ frames

vo_frame_t* vaapi_context_impl::frames[50]

Referenced by _x_va_frame_alloc_frame(), and _x_va_init().

## ◆ num_frames

unsigned int vaapi_context_impl::num_frames

Referenced by _x_va_frame_alloc_frame().

## ◆ query_va_status

int vaapi_context_impl::query_va_status

Referenced by _x_va_alloc_surface(), _x_va_frame_provide_standard_frame_data(), and _x_va_new().

## ◆ surfaces_lock

pthread_mutex_t vaapi_context_impl::surfaces_lock

Referenced by _x_va_alloc_surface(), _x_va_destroy_render_surfaces(), _x_va_free(), _x_va_init(), _x_va_new(), _x_va_release_surface(), _x_va_render_surface(), and _x_va_surface_displayed().

## ◆ va_display_plugin

struct xine_va_display_t* vaapi_context_impl::va_display_plugin

Referenced by _opengl_interop(), _x_va_free(), and _x_va_new().

## ◆ va_head

unsigned vaapi_context_impl::va_head

Referenced by _x_va_alloc_surface(), _x_va_init(), and _x_va_new().

## ◆ va_render_surfaces_storage

ff_vaapi_surface_t vaapi_context_impl::va_render_surfaces_storage[50+1]

Referenced by _x_va_new().

## ◆ va_surface_ids_storage

VASurfaceID vaapi_context_impl::va_surface_ids_storage[50+1]

Referenced by _x_va_new().

## ◆ xine

xine_t* vaapi_context_impl::xine

Referenced by _x_va_frame_alloc_frame(), _x_va_frame_duplicate_frame_data(), _x_va_frame_provide_standard_frame_data(), _x_va_init(), _x_va_new(), and _x_va_profile_from_imgfmt().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/video_out/vaapi/vaapi_util.h